Samdock

Deals

Ihre Vertriebspipeline mit Leads, Deals, Stufen und Kontaktzuordnungen verwalten.

Pipelines durchsuchen

GET
/api/deals/pipelines
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X GET "https://samdock.app/api/deals/pipelines"
[
  {
    "_id": "string",
    "_tenantID": "string",
    "name": "string",
    "stages": [
      {
        "_id": "Vu03OuXc1YKPOeXuEHF5p",
        "name": "string",
        "order": [],
        "salesProbability": 100,
        "followUpTimer": 0,
        "probableValue": 0
      }
    ],
    "createdAt": 0,
    "followUpTimerEnabled": true
  }
]
Empty
Empty

Pipeline hinzufügen

POST
/api/deals/pipelines
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X POST "https://samdock.app/api/deals/pipelines"
{
  "_id": "string",
  "_tenantID": "string",
  "name": "string",
  "stages": [
    {
      "_id": "Vu03OuXc1YKPOeXuEHF5p",
      "name": "string",
      "order": [],
      "salesProbability": 100,
      "followUpTimer": 0,
      "probableValue": 0
    }
  ],
  "createdAt": 0,
  "followUpTimerEnabled": true
}
Empty
Empty

Pipeline bearbeiten

PATCH
/api/deals/pipelines/{pipelineID}
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X PATCH "https://samdock.app/api/deals/pipelines/{pipelineID}"
{
  "_id": "string",
  "_tenantID": "string",
  "name": "string",
  "stages": [
    {
      "_id": "Vu03OuXc1YKPOeXuEHF5p",
      "name": "string",
      "order": [],
      "salesProbability": 100,
      "followUpTimer": 0,
      "probableValue": 0
    }
  ],
  "createdAt": 0,
  "followUpTimerEnabled": true
}
Empty
Empty

Pipeline und alle zugehörigen Deals entfernen

DELETE
/api/deals/pipelines/{pipelineID}
AuthorizationBearer <token>

In: header

Path Parameters

pipelineID*string

Response Body

curl -X DELETE "https://samdock.app/api/deals/pipelines/string"
Empty
Empty
Empty

Pipeline-Stufe bearbeiten

PATCH
/api/deals/pipelines/{pipelineID}/stages/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string
pipelineID*string

Response Body

curl -X PATCH "https://samdock.app/api/deals/pipelines/string/stages/string"
Empty
Empty
Empty

Pipeline-Stufe entfernen

DELETE
/api/deals/pipelines/{pipelineID}/stages/{id}
AuthorizationBearer <token>

In: header

Path Parameters

pipelineID*string
id*string

Request Body

application/json

moveDealsTo?string

Move all deals of removed stage to that stage id

Defaultnull

Response Body

curl -X DELETE "https://samdock.app/api/deals/pipelines/string/stages/string" \  -H "Content-Type: application/json" \  -d '{}'
Empty
Empty
Empty

Stufenposition ändern

PUT
/api/deals/pipelines/{pipelineID}/stages/{id}/{newPosition}
AuthorizationBearer <token>

In: header

Path Parameters

id*string
pipelineID*string
newPosition*number

Response Body

curl -X PUT "https://samdock.app/api/deals/pipelines/string/stages/string/0"
Empty
Empty
Empty

Pipeline-Stufe hinzufügen

POST
/api/deals/pipelines/{pipelineID}/stages
AuthorizationBearer <token>

In: header

Path Parameters

pipelineID*string

Response Body

curl -X POST "https://samdock.app/api/deals/pipelines/string/stages"
Empty
Empty
Empty

Deal innerhalb der Stufe sortieren

PATCH
/api/deals/pipelines/{pipelineID}/stages/{id}/sort
AuthorizationBearer <token>

In: header

Path Parameters

pipelineID*string
id*string

Response Body

curl -X PATCH "https://samdock.app/api/deals/pipelines/string/stages/string/sort"
Empty
Empty
Empty

Leads durchsuchen

GET
/api/deals/leads
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X GET "https://samdock.app/api/deals/leads"
[
  {
    "_tenantID": "string",
    "_id": "string",
    "name": "string",
    "organization": {},
    "positions": [
      "string"
    ],
    "value": 0,
    "positionsEstimated": 0,
    "editor": {},
    "stage": {},
    "stakeholders": [
      []
    ],
    "contactPerson": "string",
    "budget": {},
    "customerRequirement": "string",
    "timing": {},
    "budgetHolder": "string",
    "decisionMaker": "string",
    "isArchived": true,
    "estimatedClosingDate": 0,
    "markedForDeletionAt": 0,
    "createdAt": 0,
    "updatedAt": 0,
    "probableValue": 0,
    "salesProbability": 0,
    "stageChangedAt": 0,
    "priority": "string"
  }
]
Empty
Empty

Lead hinzufügen

POST
/api/deals/leads
AuthorizationBearer <token>

In: header

Request Body

application/json

_id*string

The ID of the deal

name?string

The name of the deal

organization?object

The organization the deal is linked to

editor?object

The editor of the deal

positions?array<>

The positions in the deal

positionsEstimated?number

Estimated value

stage?object

The stage of the deal

stakeholders?array<>

The stakeholders of the deal

contactPerson?string

The contact person of the deal

priority?string

The priority of the deal

createdAt?number

The created at timestamp of the deal

isArchived?boolean

The archived state of the deal

markedForDeletionAt?number

Timestamp of deletion of the deal

estimatedClosingDate?number

The estimated closing date of the deal

probableValue?number

The probable value of the deal

salesProbability?number

The sales probability of the deal

stageChangedAt?number

The timestamp of when the deal stage was last updated

Response Body

curl -X POST "https://samdock.app/api/deals/leads" \  -H "Content-Type: application/json" \  -d '{    "_id": "string"  }'
Empty
Empty
Empty

Leads und Deals durchsuchen

GET
/api/deals/leads/combined
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X GET "https://samdock.app/api/deals/leads/combined"
[
  {
    "_tenantID": "string",
    "_id": "string",
    "name": "string",
    "organization": {},
    "positions": [
      "string"
    ],
    "value": 0,
    "positionsEstimated": 0,
    "editor": {},
    "stage": {},
    "stakeholders": [
      []
    ],
    "contactPerson": "string",
    "budget": {},
    "customerRequirement": "string",
    "timing": {},
    "budgetHolder": "string",
    "decisionMaker": "string",
    "isArchived": true,
    "estimatedClosingDate": 0,
    "markedForDeletionAt": 0,
    "createdAt": 0,
    "updatedAt": 0,
    "probableValue": 0,
    "salesProbability": 0,
    "stageChangedAt": 0,
    "priority": "string"
  }
]
Empty
Empty

Lead bearbeiten

PATCH
/api/deals/leads/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

_id*string

The ID of the deal

name?string

The name of the deal

organization?object

The organization the deal is linked to

editor?object

The editor of the deal

positions?array<>

The positions in the deal

positionsEstimated?number

Estimated value

stage?object

The stage of the deal

stakeholders?array<>

The stakeholders of the deal

contactPerson?string

The contact person of the deal

priority?string

The priority of the deal

createdAt?number

The created at timestamp of the deal

isArchived?boolean

The archived state of the deal

markedForDeletionAt?number

Timestamp of deletion of the deal

estimatedClosingDate?number

The estimated closing date of the deal

probableValue?number

The probable value of the deal

salesProbability?number

The sales probability of the deal

stageChangedAt?number

The timestamp of when the deal stage was last updated

Response Body

curl -X PATCH "https://samdock.app/api/deals/leads/string" \  -H "Content-Type: application/json" \  -d '{    "_id": "string"  }'
Empty
Empty
Empty

Lead löschen

DELETE
/api/deals/leads/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

curl -X DELETE "https://samdock.app/api/deals/leads/string"
Empty
Empty
Empty

Lead qualifizieren

PATCH
/api/deals/leads/{id}/stage/qualify
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

curl -X PATCH "https://samdock.app/api/deals/leads/string/stage/qualify"
Empty
Empty
Empty

Deal zu Lead herabstufen

PATCH
/api/deals/leads/{id}/stage/unqualify
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

curl -X PATCH "https://samdock.app/api/deals/leads/string/stage/unqualify"
Empty
Empty
Empty

Lead zu Deal hochstufen

PATCH
/api/deals/leads/{id}/stage/promote
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

curl -X PATCH "https://samdock.app/api/deals/leads/string/stage/promote"
Empty
Empty
Empty

Budget des Leads ändern

PATCH
/api/deals/leads/{id}/budget
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

curl -X PATCH "https://samdock.app/api/deals/leads/string/budget"
Empty
Empty
Empty

Entscheidungsträger ändern

PATCH
/api/deals/leads/{id}/decisionMaker
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

curl -X PATCH "https://samdock.app/api/deals/leads/string/decisionMaker"
Empty
Empty
Empty

Budgetverantwortlichen ändern

PATCH
/api/deals/leads/{id}/budgetHolder
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

curl -X PATCH "https://samdock.app/api/deals/leads/string/budgetHolder"
Empty
Empty
Empty

Kundenanforderung ändern

PATCH
/api/deals/leads/{id}/customerRequirement
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

curl -X PATCH "https://samdock.app/api/deals/leads/string/customerRequirement"
Empty
Empty
Empty

Zeitplanung des Leads ändern

PATCH
/api/deals/leads/{id}/timing
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

curl -X PATCH "https://samdock.app/api/deals/leads/string/timing"
Empty
Empty
Empty

Lead archivieren

PATCH
/api/deals/leads/{id}/archive
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

curl -X PATCH "https://samdock.app/api/deals/leads/string/archive"
Empty
Empty
Empty

Lead wiedereröffnen

PATCH
/api/deals/leads/{id}/reopen
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

curl -X PATCH "https://samdock.app/api/deals/leads/string/reopen"
Empty
Empty
Empty

Deals durchsuchen

GET
/api/deals
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X GET "https://samdock.app/api/deals"
[
  {
    "_tenantID": "string",
    "_id": "string",
    "name": "string",
    "organization": {},
    "positions": [
      "string"
    ],
    "value": 0,
    "positionsEstimated": 0,
    "editor": {},
    "stage": {},
    "stakeholders": [
      []
    ],
    "contactPerson": "string",
    "budget": {},
    "customerRequirement": "string",
    "timing": {},
    "budgetHolder": "string",
    "decisionMaker": "string",
    "isArchived": true,
    "estimatedClosingDate": 0,
    "markedForDeletionAt": 0,
    "createdAt": 0,
    "updatedAt": 0,
    "probableValue": 0,
    "salesProbability": 0,
    "stageChangedAt": 0,
    "priority": "string"
  }
]
Empty
Empty

Deal hinzufügen

POST
/api/deals
AuthorizationBearer <token>

In: header

Request Body

application/json

_id*string

The ID of the deal

name?string

The name of the deal

organization?object

The organization the deal is linked to

editor?object

The editor of the deal

positions?array<>

The positions in the deal

positionsEstimated?number

Estimated value

stage?object

The stage of the deal

stakeholders?array<>

The stakeholders of the deal

contactPerson?string

The contact person of the deal

priority?string

The priority of the deal

createdAt?number

The created at timestamp of the deal

isArchived?boolean

The archived state of the deal

markedForDeletionAt?number

Timestamp of deletion of the deal

estimatedClosingDate?number

The estimated closing date of the deal

probableValue?number

The probable value of the deal

salesProbability?number

The sales probability of the deal

stageChangedAt?number

The timestamp of when the deal stage was last updated

Response Body

curl -X POST "https://samdock.app/api/deals" \  -H "Content-Type: application/json" \  -d '{    "_id": "string"  }'
Empty
Empty
Empty

Deal lesen

GET
/api/deals/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

application/json

curl -X GET "https://samdock.app/api/deals/string"
{
  "_tenantID": "string",
  "_id": "string",
  "name": "string",
  "organization": {},
  "positions": [
    "string"
  ],
  "value": 0,
  "positionsEstimated": 0,
  "editor": {},
  "stage": {},
  "stakeholders": [
    []
  ],
  "contactPerson": "string",
  "budget": {},
  "customerRequirement": "string",
  "timing": {},
  "budgetHolder": "string",
  "decisionMaker": "string",
  "isArchived": true,
  "estimatedClosingDate": 0,
  "markedForDeletionAt": 0,
  "createdAt": 0,
  "updatedAt": 0,
  "probableValue": 0,
  "salesProbability": 0,
  "stageChangedAt": 0,
  "priority": "string"
}
Empty
Empty
Empty

Deal bearbeiten

PATCH
/api/deals/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

_id*string

The ID of the deal

name?string

The name of the deal

organization?object

The organization the deal is linked to

editor?object

The editor of the deal

positions?array<>

The positions in the deal

positionsEstimated?number

Estimated value

stage?object

The stage of the deal

stakeholders?array<>

The stakeholders of the deal

contactPerson?string

The contact person of the deal

priority?string

The priority of the deal

createdAt?number

The created at timestamp of the deal

isArchived?boolean

The archived state of the deal

markedForDeletionAt?number

Timestamp of deletion of the deal

estimatedClosingDate?number

The estimated closing date of the deal

probableValue?number

The probable value of the deal

salesProbability?number

The sales probability of the deal

stageChangedAt?number

The timestamp of when the deal stage was last updated

Response Body

curl -X PATCH "https://samdock.app/api/deals/string" \  -H "Content-Type: application/json" \  -d '{    "_id": "string"  }'
Empty
Empty
Empty

Deal löschen

DELETE
/api/deals/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

curl -X DELETE "https://samdock.app/api/deals/string"
Empty
Empty
Empty

Deal-Stufe ändern

PATCH
/api/deals/{id}/stage
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

curl -X PATCH "https://samdock.app/api/deals/string/stage"
Empty
Empty
Empty

Deal zu Lead herabstufen

PATCH
/api/deals/{id}/stage/demote
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

curl -X PATCH "https://samdock.app/api/deals/string/stage/demote"
Empty
Empty
Empty

Deal archivieren

PATCH
/api/deals/{id}/archive
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

curl -X PATCH "https://samdock.app/api/deals/string/archive"
Empty
Empty
Empty

Deal wiedereröffnen

PATCH
/api/deals/{id}/reopen
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

curl -X PATCH "https://samdock.app/api/deals/string/reopen"
Empty
Empty
Empty

Budget des Deals ändern

PATCH
/api/deals/{id}/budget
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

curl -X PATCH "https://samdock.app/api/deals/string/budget"
Empty
Empty
Empty

Entscheidungsträger ändern

PATCH
/api/deals/{id}/decisionMaker
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

curl -X PATCH "https://samdock.app/api/deals/string/decisionMaker"
Empty
Empty
Empty

Budgetverantwortlichen ändern

PATCH
/api/deals/{id}/budgetHolder
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

curl -X PATCH "https://samdock.app/api/deals/string/budgetHolder"
Empty
Empty
Empty

Kundenanforderung ändern

PATCH
/api/deals/{id}/customerRequirement
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

curl -X PATCH "https://samdock.app/api/deals/string/customerRequirement"
Empty
Empty
Empty

Zeitplanung des Deals ändern

PATCH
/api/deals/{id}/timing
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

curl -X PATCH "https://samdock.app/api/deals/string/timing"
Empty
Empty
Empty

Person mit Deal verknüpfen

POST
/api/deals/{dealID}/persons
AuthorizationBearer <token>

In: header

Path Parameters

dealID*string

Response Body

curl -X POST "https://samdock.app/api/deals/string/persons"
Empty

Person von Deal trennen

DELETE
/api/deals/{dealID}/persons/{personID}
AuthorizationBearer <token>

In: header

Path Parameters

dealID*string
personID*string

Response Body

curl -X DELETE "https://samdock.app/api/deals/string/persons/string"
Empty

Ansprechpartner zuweisen

PATCH
/api/deals/{dealID}/persons/{personID}/assignAsContactPerson
AuthorizationBearer <token>

In: header

Path Parameters

dealID*string
personID*string

Response Body

curl -X PATCH "https://samdock.app/api/deals/string/persons/string/assignAsContactPerson"
Empty

Ansprechpartner entfernen

DELETE
/api/deals/{dealID}/persons/{personID}/removeAsContactPerson
AuthorizationBearer <token>

In: header

Path Parameters

dealID*string
personID*string

Response Body

curl -X DELETE "https://samdock.app/api/deals/string/persons/string/removeAsContactPerson"
Empty

Organisation mit Deal verknüpfen

POST
/api/deals/{dealID}/organizations
AuthorizationBearer <token>

In: header

Path Parameters

dealID*string

Response Body

curl -X POST "https://samdock.app/api/deals/string/organizations"
Empty

Organisation von Deal trennen

DELETE
/api/deals/{dealID}/organizations/{organizationID}
AuthorizationBearer <token>

In: header

Path Parameters

dealID*string
organizationID*string

Response Body

curl -X DELETE "https://samdock.app/api/deals/string/organizations/string"
Empty

Person mit Lead verknüpfen

POST
/api/deals/leads/{leadID}/persons
AuthorizationBearer <token>

In: header

Path Parameters

leadID*string

Request Body

application/json

Response Body

curl -X POST "https://samdock.app/api/deals/leads/string/persons" \  -H "Content-Type: application/json" \  -d '{}'
Empty
Empty
Empty

Person von Lead trennen

DELETE
/api/deals/leads/{leadID}/persons/{personID}
AuthorizationBearer <token>

In: header

Path Parameters

leadID*string
personID*string

Response Body

curl -X DELETE "https://samdock.app/api/deals/leads/string/persons/string"
Empty
Empty
Empty

Lead-Ansprechpartner zuweisen

PATCH
/api/deals/leads/{leadID}/persons/{personID}/assignAsContactPerson
AuthorizationBearer <token>

In: header

Path Parameters

leadID*string
personID*string

Response Body

curl -X PATCH "https://samdock.app/api/deals/leads/string/persons/string/assignAsContactPerson"
Empty

Lead-Ansprechpartner entfernen

DELETE
/api/deals/leads/{leadID}/persons/{personID}/removeAsContactPerson
AuthorizationBearer <token>

In: header

Path Parameters

leadID*string
personID*string

Response Body

curl -X DELETE "https://samdock.app/api/deals/leads/string/persons/string/removeAsContactPerson"
Empty

Organisation mit Lead verknüpfen

POST
/api/deals/leads/{leadID}/organizations
AuthorizationBearer <token>

In: header

Path Parameters

leadID*string

Request Body

application/json

Response Body

curl -X POST "https://samdock.app/api/deals/leads/string/organizations" \  -H "Content-Type: application/json" \  -d '{}'
Empty
Empty
Empty

Organisation von Lead trennen

DELETE
/api/deals/leads/{leadID}/organizations/{organizationID}
AuthorizationBearer <token>

In: header

Path Parameters

leadID*string
organizationID*string

Response Body

curl -X DELETE "https://samdock.app/api/deals/leads/string/organizations/string"
Empty
Empty
Empty